# $Revision: 1.21 $, $Date: 2008/07/27 22:32:12 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	Abstract
Summary:	DBIx::Abstract - DBI SQL abstraction
Summary(pl.UTF-8):	DBIx::Abstract - abstrakcja DBI SQL
Name:		perl-DBIx-Abstract
Version:	1.006
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	230009d2613d3ad84a38c8589384003d
URL:		http://search.cpan.org/dist/DBIx-Abstract/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides methods for doing manipulating database tables.
It provides methods for all of the more important SQL commands (like
SELECT, INSERT, REPLACE, UPDATE, DELETE).

%description -l pl.UTF-8
Ten moduł udostępnia metody do obsługi tabel baz danych. Zawiera
metody do wszystkich ważniejszych poleceń SQL (takich jak SELECT,
INSERT, REPLACE, UPDATE, DELETE).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL < /dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-Abstract.spec,v $
Revision 1.21  2008/07/27 22:32:12  arekm
- release 2

Revision 1.20  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.18  2006/07/26 23:09:44  glen
- 1.006, generic URL

Revision 1.17  2004/11/03 22:30:15  paladine
- formatting

Revision 1.16  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.14  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.13  2004/04/20 05:35:02  ankry
- license fixes and unification

Revision 1.12  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/06/10 14:51:10  qboosh
- up to 1.005, reenabled tests (from RA-branch), added md5, release 2

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:38:31  radek
- use the __perl macro

Revision 1.5  2003/02/21 21:01:44  ankry
- updated to 1.004

Revision 1.4  2003/02/18 15:30:42  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/05 21:16:54  ankry
- (auto)updated to 1.003
- added tests

Revision 1.2  2002/08/18 13:54:20  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
